@import "variables/colors";
@import "variables/font";

.product-info {
  background-color: $neutral-10;
  padding: 1rem;
  display: grid;
  grid-template-columns: 1fr 1fr;
  border-radius: 5px;
  &__details {
    display: grid;
    grid-template-columns: 50px 1fr;
    gap: 1rem;
    .icon {
      margin: 0 auto;
    }
    .details {
      display: grid;
      gap: 9px;
      &__product-name {
        color: $neutral-80;
        font-family: $roboto-bold;
        margin: 0;
      }
      &__id {
        padding: 0;
        margin: 0;
        color: $neutral-80;
        font-size: 12px;
      }
      &__currency {
        display: flex;
      }
      &__cards {
        display: flex;
        gap: 10px;
        margin-bottom: 10px;
        .card {
          background: $caribbean-green-10;
          border: 1px solid $caribbean-green-80;
          border-radius: 6px;
          padding: 3px 5px;

          &__title {
            color: $caribbean-green-80;
          }
        }
      }
    }
  }
  &__dates {
    display: flex;
    flex-direction: column;
    gap: 5px;
    .item {
      padding: 0;
      margin: 0;
      text-align: right;
      &__title,
      &__description {
        font-size: 16px;
      }
    }
  }
}
